Extending Qt Creator Manual | DeviceTester

Extending Qt Creator Manual 4.5.2

# DeviceTester Class

(ProjectExplorer::DeviceTester)

- List of all members, including inherited members

## Public Types

enum | TestResult { TestSuccess, TestFailure }

## Public Functions

virtual void | stopTest() = 0
virtual void | testDevice(const ProjectExplorer::IDevice::ConstPtr &deviceConfiguration) = 0

## Signals

void | errorMessage(const QString &message)
void | finished(ProjectExplorer::DeviceTester::TestResult result)
void | progressMessage(const QString &message)

## Protected Functions

| DeviceTester(QObject *parent = 0)

## Member Type Documentation

### enum DeviceTester::TestResult

## Member Function Documentation

### `[protected]` DeviceTester::DeviceTester(QObject *parent = 0)

Default constructs an instance of DeviceTester.

### `[signal]` void DeviceTester::errorMessage(const QString &message)

### `[signal]` void DeviceTester::finished(ProjectExplorer::DeviceTester::TestResult result)

### `[signal]` void DeviceTester::progressMessage(const QString &message)

### `[pure virtual]` void DeviceTester::stopTest()

### `[pure virtual]` void DeviceTester::testDevice(const ProjectExplorer::IDevice::ConstPtr &deviceConfiguration)